Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.actions.SubmitFormAction Class Reference
Inheritance diagram for com.foxit.sdk.pdf.actions.SubmitFormAction:

## Public Member Functions
| SubmitFormAction (Action action)
| Constructor, with parent class object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
WStringArray | getFieldNames () throws com.foxit.sdk.PDFException
| Get all field names from the array in current submit form action. More...
int | getFlags () throws com.foxit.sdk.PDFException
| Get the flag value used for submission. More...
String | getURL () throws com.foxit.sdk.PDFException
| Get the URI string of the script at the Web server that will process the submission. More...
void | setFieldNames (WStringArray field_names) throws com.foxit.sdk.PDFException
| Set field name array. More...
void | setFlags (int flags) throws com.foxit.sdk.PDFException
| Set the flag value used for submission. More...
void | setURL (String url) throws com.foxit.sdk.PDFException
| Set the URI string of the script at the Web server that will process the submission. More...
Public Member Functions inherited from com.foxit.sdk.pdf.actions.Action
| Action (PDFDoc document, PDFDictionary action_dict)
| Constructor, with parameters. More...
| Action (Action action)
| Constructor, with another action object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PDFDictionary | getDict () throws com.foxit.sdk.PDFException
| Get PDF dictionary of current object. More...
PDFDoc | getDocument () throws com.foxit.sdk.PDFException
| Get the PDF document, to which current action belongs. More...
Action | getSubAction (int index) throws com.foxit.sdk.PDFException
| Get a sub-action by index. More...
int | getSubActionCount () throws com.foxit.sdk.PDFException
| Get the count of sub-actions. More...
int | getType () throws com.foxit.sdk.PDFException
| Get action type. More...
void | insertSubAction (int index, Action sub_action) throws com.foxit.sdk.PDFException
| Insert a new sub-action to the location specified by index. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | removeAllSubActions () throws com.foxit.sdk.PDFException
| Remove all the sub-actions. More...
void | removeSubAction (int index) throws com.foxit.sdk.PDFException
| Remove a sub-action, specified by index. More...
void | setSubAction (int index, Action sub_action) throws com.foxit.sdk.PDFException
| Set a sub-action by index. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_FlagAsXFDF = 0x0020
| Bit 6. Field names and values are submitted as XFDF.
static final int | e_FlagCanonicalFormat = 0x0200
| Bit 10. Any submitted field values representing dates are converted to the standard format.
static final int | e_FlagEmbedForm = 0x2000
| Bit 14. "F" entry of submitted FDF is an embedded file stream.
static final int | e_FlagExclFKey = 0x0800
| Bit 12. Submitted FDF excludes "F" entry.
static final int | e_FlagExclNonUserAnnots = 0x0400
| Bit 11. Only those markup annotations whose "T" entry matches the name of the current user are being submitted.
static final int | e_FlagExclude = 0x0001
| Bit 1. If set, fields name defined in submit form action should be excluded from submitting; if not set, only these fields name (including their descendants) are to be submit.
static final int | e_FlagExportFormat = 0x0004
| Bit 3. Field names and values are submitted in HTML Form format. More...
static final int | e_FlagGetMethod = 0x0008
| Bit 4. Field names and values are submitted using an HTTP GET request. More...
static final int | e_FlagIncludeAnnotations = 0x0080
| Bit 8. Submitted FDF file includes all markup annotations in underlying PDF document. More...
static final int | e_FlagIncludeAppendSaves = 0x0040
| Bit 7. Submitted FDF file includes contents as contained in differences entry in the FDF dictionary. More...
static final int | e_FlagIncludeNoValueFields = 0x0002
| Bit 2. Submit fields regardless of whether they have a value. More...
static final int | e_FlagSubmitAsPDF = 0x0100
| Bit 9. The document is submitted as PDF.
static final int | e_FlagWithCoordinates = 0x0010
| Bit 5. Coordinates of the mouse are transmitted as part of the form data.
Static Public Attributes inherited from com.foxit.sdk.pdf.actions.Action
static final int | e_NewWindowFlagFalse = 0
| "NewWindow" flag is false.
static final int | e_NewWindowFlagNone = 2
| No "NewWindow" flag.
static final int | e_NewWindowFlagTrue = 1
| "NewWindow" flag is true.
static final int | e_TypeGoto = 1
| Action type: go-to action.
static final int | e_TypeGoTo3DView = 18
| Action type: go-to-3D-view action.
static final int | e_TypeGoToE = 3
| Action type: embedded go-to action.
static final int | e_TypeGoToR = 2
| Action type: remote go-to action.
static final int | e_TypeHide = 9
| Action type: hide action.
static final int | e_TypeImportData = 13
| Action type: import-data action.
static final int | e_TypeJavaScript = 14
| Action type: JavaScript action.
static final int | e_TypeLaunch = 4
| Action type: launch action.
static final int | e_TypeMovie = 8
| Action type: movie action.
static final int | e_TypeNamed = 10
| Action type: named action.
static final int | e_TypeRendition = 16
| Action type: rendition action.
static final int | e_TypeResetForm = 12
| Action type: reset-form action.
static final int | e_TypeSetOCGState = 15
| Action type: set-OCG-state action.
static final int | e_TypeSound = 7
| Action type: sound action.
static final int | e_TypeSubmitForm = 11
| Action type: submit-form action.
static final int | e_TypeThread = 5
| Action type: thread action.
static final int | e_TypeTrans = 17
| Action type: transition action.
static final int | e_TypeUnknown = 0
| Action type: unknown action.
static final int | e_TypeURI = 6
| Action type: uniform resource identifier (URI) action.

## Additional Inherited Members
Static Public Member Functions inherited from com.foxit.sdk.pdf.actions.Action
static Action | create (PDFDoc document, int action_type) throws com.foxit.sdk.PDFException
| Create a new action, for specified action type. More...

## Detailed Description

Submit-form action is to send data to a uniform resource locator. Class com.foxit.sdk.pdf.actions.SubmitFormAction is derived from Action and offers functions to get/set submit-form action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ SubmitFormAction()

com.foxit.sdk.pdf.actions.SubmitFormAction.SubmitFormAction | ( | Action | action | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.actions.SubmitFormAction.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFieldNames()

WStringArray com.foxit.sdk.pdf.actions.SubmitFormAction.getFieldNames | ( |  | ) | throws com.foxit.sdk.PDFException

Get all field names from the array in current submit form action.

A submit form action can have an array identifying which fields to include in the submission or which to exclude, depending on the flag value.

Returns
  An array of field names.

## ◆ getFlags()

int com.foxit.sdk.pdf.actions.SubmitFormAction.getFlags | ( |  | ) | throws com.foxit.sdk.PDFException

Get the flag value used for submission.

Returns
  Flag value. Please refer to values starting from com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagExclude and this would be one or a combination of these values. 0 means all bits in the flag are 0.

## ◆ getURL()

String com.foxit.sdk.pdf.actions.SubmitFormAction.getURL | ( |  | ) | throws com.foxit.sdk.PDFException

Get the URI string of the script at the Web server that will process the submission.

Returns
  URI string.

## ◆ setFieldNames()

void com.foxit.sdk.pdf.actions.SubmitFormAction.setFieldNames | ( | WStringArray | field_names | ) | throws com.foxit.sdk.PDFException

Set field name array.

A submit form action can have an array identifying which fields to include in the submission or which to exclude, depending on the flag value.

Parameters

  [in] | field_names | An array of form fields' names, to identify which fields to include in or exclude from submission. This parameter can be an empty array. Field name can be retrieved by function interform.Field.getName .

Returns
  None.

## ◆ setFlags()

void com.foxit.sdk.pdf.actions.SubmitFormAction.setFlags | ( | int | flags | ) | throws com.foxit.sdk.PDFException

Set the flag value used for submission.

Parameters

  [in] | flags | New flag value. Please refer to values starting from com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagExclude and this can be one or a combination of these values It could also be 0, which means all bits in the flag are 0.

Returns
  None.

## ◆ setURL()

void com.foxit.sdk.pdf.actions.SubmitFormAction.setURL | ( | String | url | ) | throws com.foxit.sdk.PDFException

Set the URI string of the script at the Web server that will process the submission.

Parameters

  [in] | url | URI string. It should not be an empty string.

Returns
  None.

## Member Data Documentation

## ◆ e_FlagExportFormat

final int com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagExportFormat = 0x0004
| static

Bit 3. Field names and values are submitted in HTML Form format.

Note
  Meaningful only if flags com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagAsXFDF and com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagSubmitAsPDF are clear.
  If this flag is clear, that means to submit in Forms Data Format (FDF).

## ◆ e_FlagGetMethod

final int com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagGetMethod = 0x0008
| static

Bit 4. Field names and values are submitted using an HTTP GET request.

Note
  Meaningful only when flag com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagExportFormat is set. If this flag is clear, that means to submit using a POST request.

## ◆ e_FlagIncludeAnnotations

final int com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagIncludeAnnotations = 0x0080
| static

Bit 8. Submitted FDF file includes all markup annotations in underlying PDF document.

Note
  Meaningful only when the form is being submitted in Forms Data Format.

## ◆ e_FlagIncludeAppendSaves

final int com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagIncludeAppendSaves = 0x0040
| static

Bit 7. Submitted FDF file includes contents as contained in differences entry in the FDF dictionary.

Note
  Meaningful only when the form is being submitted in Forms Data Format.

## ◆ e_FlagIncludeNoValueFields

final int com.foxit.sdk.pdf.actions.SubmitFormAction.e_FlagIncludeNoValueFields = 0x0002
| static

Bit 2. Submit fields regardless of whether they have a value.

Note
  For fields without a value, only the field name is transmitted.